On action=info for items, links to Special:EntityUsage on subscribed sites are broken for some wiki ids.
Closed, ResolvedPublic

Description

On https://www.wikidata.org/w/index.php?title=Q42&action=info, in the "Wikis subscribed to this entity" section, only wikipedias are linked. Other wikis, like wikiquote, are note.

This is probably due to the the links are currently created using the LinkRenderer class, which uses interwiki prefixes. We do not have individual interwiki prefixes for all the wikisource projects - "chained" interwikis would have to be used, e.g. en:wikisource:Special:EntityUsage.

Proposed solution: generate HTML directly instead of using LinkRenderer. We already have code for linking to these sites in SiteLinksView. The relevant code should be factored out and re-used.

daniel created this task.Oct 31 2016, 5:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2016, 5:14 PM
daniel triaged this task as "High" priority.Oct 31 2016, 5:15 PM

Bumping to high, since this is obviously a bug. The intended functionality is only available for Wikipedias, not other wikis. That's bad.

No data loss or corruption, though.

daniel moved this task from proposed to accepted on the WMDE-TLA-Team board.Nov 1 2016, 1:38 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 8 2016, 12:10 AM

Change 320320 had a related patch set uploaded (by Ladsgroup):
Fix LinkRendering bug in action=info in repo entity usage

https://gerrit.wikimedia.org/r/320320

I tried to factor out from SiteLinkView but unfortantely it's in templates and being rendered from there. I though just using Html::element would be much cleaner.

Ladsgroup moved this task from needs review to done on the WMDE-TLA-Team board.

Change 320320 merged by jenkins-bot:
Fix LinkRendering bug in action=info in repo entity usage

https://gerrit.wikimedia.org/r/320320

Ladsgroup moved this task from Proposed to Done on the Wikidata-Sprint board.Nov 18 2016, 10:33 AM
WMDE-leszek closed this task as "Resolved".Nov 22 2016, 1:29 PM